<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:soap-env="http://schemas.xmlsoap.org/soap/envelope/"
	version="1.0"
>
  <xsl:template match="/soap-env:Body">
    <html>
      <head>
        <style>
          body, td, th { font-family:Verdana, Arial, helvetica, sans-serif; font-size:x-small; }
        </style>
      </head>
      <body style="background: #eee">
        <xsl:apply-templates select="srpmessage" />
      </body>
    </html>
  </xsl:template>
  <xsl:template match="srpmessage">
    <div style="border: 2px solid #004040; background: #ddd">
		<xsl:apply-templates select="srpoperation" />
    </div>
  </xsl:template>
  <xsl:template match="srpoperation">
	<div style="background: #808080; color: #ffffff">
    <table><tr>
	<th>fungrp</th><td style="background: #999; color: #000"><xsl:value-of select="fungrp" /></td>
	<th>opcode</th><td style="background: #999; color: #000"><xsl:value-of select="opcode" /></td>
	<th>operationstatus</th><td style="background: #999; color: #000"><xsl:value-of select="operationstatus" /></td>
	</tr></table>
	</div>
	<div style="background: #ffffff; color: #000000; font-weight: bold; font-size: 16px; padding: 10px"><xsl:value-of select="message" /></div>
	<xsl:apply-templates select="parameterlist" />
  </xsl:template>
  <xsl:template match="parameterlist">
    <table>
      <xsl:for-each select="parameter">
        <tr>
          <th style="padding-right: 20px">
            <xsl:value-of select="name" />
          </th>
          <td>
            <xsl:value-of select="value" />
          </td>
        </tr>
      </xsl:for-each>
    </table>
  </xsl:template>
</xsl:stylesheet>